import { ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class DraggableElementDirective {
    private elRef;
    private renderer2;
    ngxBoundsContainerSelector: string | null;
    ngxDragStart: EventEmitter<void>;
    ngxDragging: EventEmitter<void>;
    ngxDragEnd: EventEmitter<void>;
    private dragging;
    private mousePosition;
    constructor(elRef: ElementRef<HTMLElement>, renderer2: Renderer2);
    onMouseMove(ev: MouseEvent): void;
    onMouseUp(ev: MouseEvent): void;
    asTranslateString(x: number, y: number): string;
    asPxString(num: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DraggableElementDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DraggableElementDirective, "[draggableElement]", never, { "ngxBoundsContainerSelector": "ngxBoundsContainerSelector"; }, { "ngxDragStart": "ngxDragStart"; "ngxDragging": "ngxDragging"; "ngxDragEnd": "ngxDragEnd"; }, never>;
}
